version: '2'
services:
  app:
    restart: always
    environment:
      PORT: 5555
    image: registry.gitlab.com/ivan.ednor/youtube-to-mp3:latest
    volumes:
      - /data/mp3:/home/youtube-to-mp3/client/build/mp3
      - nginx-dir:/home/youtube-to-mp3/nginx/
      - static-dir:/home/youtube-to-mp3/client/build
  nginx:
    restart: always
    image: nginx:latest
    volumes:
      - /data/mp3:/data/static/mp3
      - nginx-dir:/etc/nginx/conf.d/
      - static-dir:/data/static
    ports:
      - 80:80
    links:
      - app
volumes:
  static-dir:
  nginx-dir: